// PROJECT "TT" - TWO TOWERS - CTF - 3x3, 4x4 PLAYERS
// CREATED BY EseL - MAY 2004 - idarchi@poczta.wp.pl
// YOU CAN USE ALL STUFF INSIDE FOR FREE
// ENJOY...


// * * * TERRAINS * * *

textures/ttow/tt-ter-det    //DETAILED TERRAIN SHADER BY MY...
	{
	qer_editorimage textures/ttow/tt-ter.jpg
	{
	map $lightmap
	rgbGen identity
	}
	{
	map textures/ttow/tt-ter-det.jpg
	blendFunc GL_DST_COLOR GL_SRC_COLOR
	detail
	tcMod scale 10 10
	}
	{
	map textures/ttow/tt-ter.jpg
	blendFunc filter
	}
	}

textures/ttow/tt-ter-phong    //DETAILED TERRAIN WITH PHONG
	{
	q3map_nonplanar
 	q3map_shadeangle 90
	qer_editorimage textures/ttow/tt-ter_p.jpg
	{
	map $lightmap
	rgbGen identity
	}
	{
	map textures/ttow/tt-ter-det.jpg
	blendFunc GL_DST_COLOR GL_SRC_COLOR
	detail
	tcMod scale 5 5
	}
	{
	map textures/ttow/tt-ter.jpg
	blendFunc filter
	}
	}



// * * * * UNDER THE BLUE SKY * * * *

textures/ttow/ttsky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	//q3map_globaltexture
	//q3map_lightsubdivide 256
        q3map_lightimage textures/ttow/tt-s-dome.tga
	qer_editorimage textures/skies/ttsky-q.jpg
	q3map_sun	255 238 214 100 -58 58
	q3map_surfacelight 80

        skyparms env/ttsky/ttsky - -
       {
		map textures/skies/ttsky-c.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.06
		tcMod scale 1 1
	}
}



// * * * * FLARES, SMOKES, FOG * * * *

textures/ttow/tt-sun
	{
	sort 16
	qer_editorimage textures/ttow/tt-sun.jpg
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	{
	clampmap textures/ttow/tt-sun.jpg
	blendfunc add
	}
	}

textures/ttow/tt-flare_l
	{
	sort 16
	qer_editorimage textures/ttow/tt-flare_l.jpg
	surfaceparm nonsolid
	surfaceparm trans
surfaceparm nolightmap
	cull disable
	deformVertexes autosprite
	{
	clampmap textures/ttow/tt-flare_l.jpg
	blendfunc add
	rgbGen wave sawtooth -2 3 0 1.6
	}
	}

textures/ttow/tt-engine
	{
	sort 16
	qer_editorimage textures/ttow/s1.jpg
	surfaceparm nonsolid
	surfaceparm trans
surfaceparm nolightmap
	cull disable
	deformVertexes autosprite2
	{
	clampmap textures/ttow/s1.jpg
	blendfunc add
	rgbGen wave noise 0.7 0.29 0 20
	}
	}

textures/ttow/tt-fl_blu
	{
	sort 16
	qer_editorimage textures/ttow/tt-fl_blu.tga
	surfaceparm nonsolid
	surfaceparm trans
surfaceparm nolightmap
	cull disable
	deformVertexes autosprite
	{
	clampmap textures/ttow/tt-fl_blu.tga
	tcmod rotate 5
	blendfunc add
	}
	}

textures/ttow/tt-fl_red
	{
	sort 16
	qer_editorimage textures/ttow/tt-fl_red.tga
	surfaceparm nonsolid
	surfaceparm trans
surfaceparm nolightmap
	cull disable
	deformVertexes autosprite
	{
	clampmap textures/ttow/tt-fl_red.tga
	tcmod rotate 5
	blendfunc add
	}
	}

textures/ttow/tt-flare1
	{
	sort 16
	qer_editorimage textures/ttow/tt-flare1.tga
	surfaceparm nonsolid
	surfaceparm trans
surfaceparm nolightmap
	cull disable
	deformVertexes autosprite
	{
	clampmap textures/ttow/tt-flare1.tga
	blendfunc add
	}
	}

textures/ttow/tt-flare2
	{
	sort 16
	qer_editorimage textures/ttow/tt-flare2.tga
	surfaceparm nonsolid
	surfaceparm trans
surfaceparm nolightmap
	cull disable
	deformVertexes autosprite
	{
	clampmap textures/ttow/tt-flare2.tga
	blendfunc add
	}
	}

textures/ttow/tt-flare3
	{
	sort 16
	qer_editorimage textures/ttow/tt-flare3.tga
	surfaceparm nonsolid
	surfaceparm trans
surfaceparm nolightmap
	cull disable
	deformVertexes autosprite
	{
	clampmap textures/ttow/tt-flare3.tga
	blendfunc add
	}
	}

textures/ttow/tt-flare4
	{
	sort 16
	qer_editorimage textures/ttow/tt-flare4.jpg
	surfaceparm nonsolid
	surfaceparm trans
surfaceparm nolightmap
	cull disable
	deformVertexes autosprite
	{
	clampmap textures/ttow/tt-flare4.tga
	blendfunc add
	}
	}

textures/ttow/tt-s1
	{
	sort 16
	qer_editorimage textures/ttow/s1.jpg
	surfaceparm nonsolid
	surfaceparm trans
surfaceparm nolightmap
	cull disable
	deformVertexes autosprite2
	{
	clampmap textures/ttow/s1.jpg
	blendfunc add
	}
	}

textures/ttow/tt-s2
	{
	sort 16
	qer_editorimage textures/ttow/s2.jpg
	surfaceparm nonsolid
	surfaceparm trans
surfaceparm nolightmap
	cull disable
	deformVertexes autosprite2
	{
	clampmap textures/ttow/s2.jpg
	blendfunc add
	}
	}

textures/ttow/tt-puff
	{
	sort 16
	qer_editorimage textures/ttow/tt-puff.tga
	surfaceparm nonsolid
	surfaceparm trans
surfaceparm nolightmap
	cull disable
	deformVertexes autosprite
	{
	clampmap textures/ttow/tt-puff.tga
	tcmod rotate 28
	blendfunc add
	}
	}

textures/ttow/tt-puff2
	{
	sort 16
	qer_editorimage textures/ttow/tt-puff2.tga
	surfaceparm nonsolid
	surfaceparm trans
surfaceparm nolightmap
	cull disable
	deformVertexes autosprite
	{
	clampmap textures/ttow/tt-puff2.tga
	tcmod rotate -27
	blendfunc add
	}
	}

textures/ttow/tt-puff3
	{
	sort 16
	qer_editorimage textures/ttow/tt-puff3.tga
	surfaceparm nonsolid
	surfaceparm trans
surfaceparm nolightmap
	cull disable
	deformVertexes autosprite
	{
	clampmap textures/ttow/tt-puff3.tga
	tcmod rotate -41
	blendfunc add
	}
	}

textures/ttow/tt-puff4
	{
	sort 16
	qer_editorimage textures/ttow/tt-puff4.tga
	surfaceparm nonsolid
	surfaceparm trans
surfaceparm nolightmap
	cull disable
	deformVertexes autosprite
	{
	clampmap textures/ttow/tt-puff4.tga
	tcmod rotate 40
	blendfunc add
	}
	}

textures/ttow/tt-fog
	{
	qer_editorimage textures/ttow/tt-fog.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture
	////q3map_surfacelight 1
	fogparms ( .05 .15 .14 ) 25000
	}

textures/ttow/tt-fog-cl-red
{
	qer_editorimage textures/ttow/tt-fog-cl-r.jpg
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 200
	q3map_lightsubdivide 32
	fogparms ( .9 .05 .05 ) 2000

	
	
	{
		map textures/ttow/tt-fog-claud-r.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/ttow/tt-fog-claud-r.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}

}

textures/ttow/tt-fogfire
	{
	qer_editorimage textures/ttow/tt-fogfire.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture
	q3map_surfacelight 4000
	fogparms ( 225 114 1 ) 2500
	}

textures/ttow/tt-fog01
	{
	qer_editorimage textures/ttow/tt-fog01.jpg
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( 0.224 0.114 0.001 ) 25000
	}

textures/ttow/tt-fog02
	{
	qer_editorimage textures/ttow/tt-fog02.jpg
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( 0.224 0.114 0.001 ) 24000
	}

textures/ttow/tt-fog04
	{
	qer_editorimage textures/ttow/tt-fog04.jpg
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( 0.224 0.114 0.001 ) 23000
	}


textures/ttow/tt-fog06
	{
	qer_editorimage textures/ttow/tt-fog06.jpg
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( 0.224 0.114 0.001 ) 22000
	}

textures/ttow/tt-fog08
	{
	qer_editorimage textures/ttow/tt-fog08.jpg
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( 0.224 0.114 0.001 ) 21000
	}

textures/ttow/tt-fog10
	{
	qer_editorimage textures/ttow/tt-fog10.jpg
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( 0.224 0.114 0.001 ) 20000
	}



textures/ttow/laser_red
	{
	sort 16
	qer_editorimage textures/ttow/laser_red.jpg
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite2
	{
	clampmap textures/ttow/laser_red.jpg
	blendfunc add
	}
	}

textures/ttow/laser_blu
	{
	sort 16
	qer_editorimage textures/ttow/laser_blu.jpg
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite2
	{
	clampmap textures/ttow/laser_blu.jpg
	blendfunc add
	}
	}

// * * * * REFLECT SURFACES * * * *

textures/ttow/tt-scr
	{
	{
	map textures/ttow/tt-scr-l1.jpg
	tcGen environment
	tcmod scale .25 .25 
	rgbGen identity   
	}
	{
	map textures/ttow/tt-scr.tga
	blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
	rgbGen identity
	}
	{
	map $lightmap
	rgbgen identity
	blendFunc GL_DST_COLOR GL_ZERO
	}	
	}

textures/ttow/tt-scr2
	{
	{
	map textures/ttow/tt-scr-l1.jpg
	tcGen environment
	tcmod scale .25 .25 
	rgbGen identity   
	}
	{
	map textures/ttow/tt-scr2.tga
	blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
	rgbGen identity
	}
	{
	map $lightmap
	rgbgen identity
	blendFunc GL_DST_COLOR GL_ZERO
	}	
	} 

// * * * * GLASS * * * *

textures/ttow/glass-tt
	{
	qer_editorimage textures/ttow/tt-g-s.jpg
	////q3map_surfacelight 200
        surfaceparm trans	
	cull none
	qer_trans 	0.05
     
        {
	map textures/ttow/tt-g-fx.jpg
	tcgen environment
	blendFunc GL_ONE GL_ONE
	rgbGen identity
	}
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	}
        }

textures/ttow/tt-g-block
	{
	qer_editorimage textures/ttow/tt-g-12r.jpg
	//qer_trans 0.5

	cull none

	//surfaceparm trans
	////surfaceparm alphashadows
	//surfaceparm nomarks
	//surfaceparm nolightmap
	{
	map textures/ttow/tt-g-15.jpg
	blendFunc GL_ONE GL_ONE
	tcGen environment
	}
	{
	map textures/ttow/tt-g-12.tga
	//blendFunc GL_DST_COLOR GL_ZERO
	blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
	rgbGen identity
	}
	}


textures/ttow/glass-tt-br
	{
	qer_editorimage textures/ttow/tt-g-br-s.jpg
	////q3map_surfacelight 400
        surfaceparm trans	
	cull none
	qer_trans 	0.9
     
        {
	map textures/ttow/tt-g-br-fx.jpg
	tcgen environment
	blendFunc GL_ONE GL_ONE
	rgbGen identity
	}
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	}
        }

textures/ttow/glass-tt400
	{
	qer_editorimage textures/ttow/tt-g-s.jpg
	////q3map_surfacelight 200
        surfaceparm trans	
	cull none
	qer_trans 	0.3
     
        {
	map textures/ttow/tt-g-fx.jpg
	tcgen environment
	blendFunc GL_ONE GL_ONE
	rgbGen identity
	}
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	}
        }

textures/ttow/glass-tt800
	{
	qer_editorimage textures/ttow/tt-g-800.jpg
	////q3map_surfacelight 1200
        surfaceparm trans	
	cull none
	qer_trans 	0.9
     
        {
	map textures/ttow/tt-g-800.jpg
	tcgen environment
	blendFunc GL_ONE GL_ONE
	rgbGen identity
	}
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	}
        }


textures/ttow/glass-tt5k
	{
	qer_editorimage textures/ttow/tt-g-5k.jpg
	////q3map_surfacelight 5000
        surfaceparm trans	
	cull none
	qer_trans 	0.9
     
        {
	map textures/ttow/tt-g-5k.jpg
	tcgen environment
	blendFunc GL_ONE GL_ONE
	rgbGen identity
	}
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	}
        }

textures/ttow/tt-pipe
	{
	q3map_lightmapsamplesize 1
	q3map_normalimage textures/ttow/tt-pipe-n2.jpg
	{
	map textures/ttow/tt-pipe-fx.jpg
	tcGen environment
	tcmod scale 2 2
	rgbGen identity   
	}
	{
	map textures/ttow/tt-pipe.tga
	blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
	rgbGen identity
	}
	{
	map $lightmap
	rgbgen identity
	blendFunc GL_DST_COLOR GL_ZERO
	}	
	}





// * * * * SURFACES WITH ALPHA * * * *

textures/ttow/tt_circle
	{
	surfaceparm alphashadow
	//cull none
        nopicmip
	{
	map textures/ttow/tt_circle.tga
	blendFunc GL_ONE GL_ZERO
	alphaFunc GE128
	depthWrite
	rgbGen identity
	}
	{
	map $lightmap
	rgbGen identity
	blendFunc GL_DST_COLOR GL_ZERO
	depthFunc equal
	}
	}



textures/ttow/tt_grate_s
	{
	surfaceparm	metalsteps	
	//surfaceparm trans	
	surfaceparm alphashadow
	//surfaceparm nomarks	
	//cull none
        //nopicmip
	{
	map textures/ttow/tt_grate_s.tga
	blendFunc GL_ONE GL_ZERO
	alphaFunc GE128
	depthWrite
	rgbGen identity
	}
	{
	map $lightmap
	rgbGen identity
	blendFunc GL_DST_COLOR GL_ZERO
	depthFunc equal
	}
	}

textures/ttow/tt_grate_xs
	{
	surfaceparm	metalsteps	
	//surfaceparm trans	
	surfaceparm alphashadow
	//surfaceparm nomarks	
	cull none
        //nopicmip
	{
	map textures/ttow/tt_grate_xs.tga
	blendFunc GL_ONE GL_ZERO
	alphaFunc GE128
	depthWrite
	rgbGen identity
	}
	{
	map $lightmap
	rgbGen identity
	blendFunc GL_DST_COLOR GL_ZERO
	depthFunc equal
	}
	}

textures/ttow/tt-pipe-big
	{
	surfaceparm alphashadow
	//cull none
        nopicmip
	{
	map textures/ttow/tt-pipe-big.tga
	blendFunc GL_ONE GL_ZERO
	alphaFunc GE128
	depthWrite
	rgbGen identity
	}
	{
	map $lightmap
	rgbGen identity
	blendFunc GL_DST_COLOR GL_ZERO
	depthFunc equal
	}
	}



// * * * * DETAIL SURFACES * * * *

textures/ttow/tt-met-det
	{
	// draw the lightmap first
	{
	map $lightmap
	rgbGen identity
	}
	// modify the lightmap in the framebuffer by
	// a highly compressed detail texture
	{
	map textures/ttow/tt-det1.jpg
	blendFunc GL_DST_COLOR GL_SRC_COLOR
	// YOU MUST USE THIS!!
	detail
	// for the detail to be disabled, this must be present
	tcMod scale 4 4
	}
	// now slap on the base texture
	{
	map textures/ttow/tt-met-det.jpg
	blendFunc filter
	}
	}

textures/ttow/tt-met-det2
	{
	{
	map $lightmap
	rgbGen identity
	}
	{
	map textures/ttow/tt-met3.jpg
	blendFunc GL_DST_COLOR GL_SRC_COLOR
	detail
	tcMod scale 4 4
	}
	{
	map textures/ttow/tt-met-det2.jpg
	blendFunc filter
	}
	}


textures/ttow/tt-met4d
	{
	{
	map $lightmap
	rgbGen identity
	}
	{
	map textures/ttow/tt-met4d.jpg
	blendFunc GL_DST_COLOR GL_SRC_COLOR
	detail
	tcMod scale 6 6
	}
	{
	map textures/ttow/tt-met4.jpg
	blendFunc filter
	}
	}

// * * * Bumpmaping * * *

textures/ttow/tt-met1
	{
qer_editorimage textures/ttow/tt-met1q.jpg 
	q3map_lightmapsamplesize 1 
	q3map_normalimage textures/ttow/tt-met1_n.jpg 
	{ 
	map $lightmap 
	} 
	{ 
	map textures/ttow/tt-met1.jpg
	blendFunc GL_DST_COLOR GL_ZERO
	} 
	}

textures/ttow/tt-met1s
	{
qer_editorimage textures/ttow/tt-met1sq.jpg 
	q3map_lightmapsamplesize 1 
	q3map_normalimage textures/ttow/tt-met1s_n.jpg 
	{ 
	map $lightmap 
	} 
	{ 
	map textures/ttow/tt-met1s.jpg
	blendFunc GL_DST_COLOR GL_ZERO
	} 
	}

textures/ttow/tt-met2
	{
qer_editorimage textures/ttow/tt-met2q.jpg 
	q3map_lightmapsamplesize 1 
	q3map_normalimage textures/ttow/tt-met2_n.jp
	{ 
	map $lightmap 
	} 
	{ 
	map textures/ttow/tt-met2.jpg
	blendFunc GL_DST_COLOR GL_ZERO
	} 
	}

textures/ttow/tt-met3
	{
qer_editorimage textures/ttow/tt-met3q.jpg 
	q3map_lightmapsamplesize 1
	q3map_normalimage textures/ttow/tt-met3_n.jpg 
	{ 
	map $lightmap 
	rgbGen identity
	} 
	{ 
	map textures/ttow/tt-met3.jpg
	blendFunc GL_DST_COLOR GL_ZERO
	} 
	}

textures/ttow/tt-rust-h
	{
qer_editorimage textures/ttow/tt-rust-hq.jpg 
	q3map_lightmapsamplesize 1
	q3map_normalimage textures/ttow/tt-rust-hn.jpg 
	{ 
	map $lightmap 
	rgbGen identity
	} 
	{ 
	map textures/ttow/tt-rust-h.jpg
	blendFunc GL_DST_COLOR GL_ZERO
	} 
	}

textures/ttow/tt_flor_rust2_bump
	{
qer_editorimage textures/ttow/tt_flor_rust2.jpg 
	q3map_lightmapsamplesize 1 
	q3map_normalimage textures/ttow/tt_flor_rust2_b.jpg 
	{ 
	map $lightmap 
	rgbGen identity
	} 
	{ 
	map textures/ttow/tt_flor_rust2.jpg
	blendFunc GL_DST_COLOR GL_ZERO
	} 
	}


// * * * * LIGHTS * * * *

textures/ttow/tt_lightred
{
	q3map_lightimage textures/ttow/tt_lightred.jpg
	surfaceparm nomarks
	////q3map_surfacelight 300
//	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ttow/tt_lightred.jpg
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/ttow/tt_lightred.jpg
		blendFunc add
	}
	
}

textures/ttow/tt_lightred2
{
	q3map_lightimage textures/ttow/tt_lightred.jpg
	qer_editorimage textures/ttow/tt_lightred.jpg
	surfaceparm nomarks
	////q3map_surfacelight 1000
//	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ttow/tt_lightred.jpg
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/ttow/tt_lightred.jpg
		blendFunc add
		rgbGen wave sawtooth -2 3 0 1.6
	}
	
}


textures/ttow/tt_lightblu
{
	q3map_lightimage textures/ttow/tt_lightblu.jpg
	surfaceparm nomarks
	////q3map_surfacelight 300
//	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ttow/tt_lightblu.jpg
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/ttow/tt_lightblu.jpg
		blendFunc add
	}
	
}


textures/ttow/tt_lightblu2
{
	q3map_lightimage textures/ttow/tt_lightblu.jpg
	qer_editorimage textures/ttow/tt_lightblu.jpg
	surfaceparm nomarks
	////q3map_surfacelight 1000
//	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ttow/tt_lightblu.jpg
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/ttow/tt_lightblu.jpg
		blendFunc add
		rgbGen wave sawtooth -2 3 0 1.6
	}
	
}

textures/ttow/tt-pseudo
	{
	qer_editorimage textures/ttow/tt-pseudo.jpg
	q3map_lightimage textures/ttow/tt-spot-bl.jpg
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ttow/tt-spot.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ttow/tt-spot-bl.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ttow/tt-spot-10k
	{
	qer_editorimage textures/ttow/tt-spot-10.jpg
	q3map_lightimage textures/ttow/tt-spot-bl.jpg
	surfaceparm nomarks
	////q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ttow/tt-spot.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ttow/tt-spot-bl.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ttow/tt-spot-6k
	{
	qer_editorimage textures/ttow/tt-spot-6.jpg
	q3map_lightimage textures/ttow/tt-spot-bl.jpg
	surfaceparm nomarks
	////q3map_surfacelight 6000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ttow/tt-spot.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ttow/tt-spot-bl.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ttow/tt-spot-4k
	{
	qer_editorimage textures/ttow/tt-spot-4.jpg
	q3map_lightimage textures/ttow/tt-spot-bl.jpg
	surfaceparm nomarks
	////q3map_surfacelight 4000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ttow/tt-spot.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ttow/tt-spot-bl.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ttow/tt-spot-2k
	{
	qer_editorimage textures/ttow/tt-spot-2.jpg
	q3map_lightimage textures/ttow/tt-spot-bl.jpg
	surfaceparm nomarks
	////q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ttow/tt-spot.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ttow/tt-spot-bl.jpg
		blendfunc GL_ONE GL_ONE
	}
}

// * * * * N E O N S * * * *

textures/ttow/neon-abyss
{
	qer_trans 0.5
	qer_editorimage textures/ttow/neon-abyss.jpg
	surfaceparm nolightmap
	//surfaceparm playerclip
	surfaceparm trans
	cull disable

	{
		clampmap textures/ttow/neon-abyss.jpg
		blendfunc gl_one gl_one
		tcMod stretch sin .5 .4 .0 2.0
		rgbGen wave sin .5 .5 .0 2.0
	}
}


textures/ttow/neon-armory
{
	qer_trans 0.5
	qer_editorimage textures/ttow/neon-armory.jpg
	surfaceparm nolightmap
	//surfaceparm playerclip
	surfaceparm trans
	cull disable

	{
		clampmap textures/ttow/neon-armory.jpg
		blendfunc gl_one gl_one
		//tcMod stretch sin .5 .4 .0 2.0
		//rgbGen wave sin .5 .5 .0 2.0
	}
}


textures/ttow/neon-danger
{
	qer_trans 0.5
	qer_editorimage textures/ttow/neon-danger.jpg
	surfaceparm nolightmap
	//surfaceparm playerclip
	surfaceparm trans
	cull disable

	{
		clampmap textures/ttow/neon-danger.jpg
		blendfunc gl_one gl_one
		tcMod stretch sin .5 .4 .0 2.0
		//rgbGen wave sin .5 .5 .0 2.0
	}
}

textures/ttow/neon-health
{
	qer_trans 0.5
	qer_editorimage textures/ttow/neon-health.jpg
	surfaceparm nolightmap
	//surfaceparm playerclip
	surfaceparm trans
	cull disable

	{
		clampmap textures/ttow/neon-health.jpg
		blendfunc gl_one gl_one
		//tcMod stretch sin .5 .4 .0 2.0
		rgbGen wave sin .5 .5 .0 2.0
	}
}


// * * * * L A W A  * * * *

textures/ttow/tt-lava
{
	qer_editorimage textures/ttow/tt-lava.tga
	q3map_lightsubdivide 32
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 500
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/ttow/tt-lava.tga
		tcMod turb 0 .2 0 .1
	}
}

textures/ttow/tt-lava_nolight
{
	qer_editorimage textures/ttow/tt-lava_n.tga
	//q3map_lightsubdivide 32
	//q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	//q3map_surfacelight 500
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/ttow/tt-lava_n.tga
		tcMod turb 0 .2 0 .1
	}
}